Subject: Re: Cygwin1.dll problem with Hyperthreaded machines.
From: Chuck McDevitt <[email-masked]>
To: Cygwin List <[email-masked]>
Cc: [email-masked]
Date: Tue, 6 Apr 2004 18:29:00 -0400

I upgraded, and it didn't help.

under pdksh:

CMCDEVITT> test.ksh
Memory fault (core dumped)

CMCDEVITT> test.ksh
Test Failed......Path is empty

This is with Cygwin1.dll  1.5.9              (build time 2004-03-18 23:05) 
from www.cygwin.com/setup

Larry Hall <[email-masked]>
04/06/2004 05:40 PM
Please respond to Cygwin List
 
        To:     Chuck McDevitt <[email-masked]>, [email-masked]
        cc: 
        Subject:        Re: Cygwin1.dll problem with Hyperthreaded 
machines.

At 05:17 PM 4/6/2004, you wrote:
>I've been running into a lot of problems with Cygwin on hyperthreaded 
>machines, when those machines are heavily loaded.
>
>For example, if I run this script:
>
>#! /bin/ksh
>mypath=$(pwd)
>while [[ ! -z $mypath ]]
>do
> mypath=$(pwd)
> if [[ -z $mypath ]]
> then
>  echo "Test Failed......Path is empty" 
> fi
>done
>
>in one shell, while running a large make in another, it will fail in a 
>variety of ways.
>Under pdksh, it sometimes exits the test because "mypath" is empty, or it 

>core dumps, or hangs, or gives error messages.
>Under bash, it hangs, crashes, or gives error messages (haven't seen it 
>exit the loop, but I didn't try long with bash).
>By "hang", I mean the shell stops using CPU time, and become 
>non-responsive, and can only be stopped by killing the process.
>The problem does not occur if hyperthreading is turned off.
>
>I've attached the output from cygcheck.
>
>
>Here are some example runs:
>
>#####Using pd KSH:
>
>CMCDEVITT> test.ksh
>Memory fault (core dumped)
>
>CMCDEVITT> test.ksh
>1861 [exiting thread] ksh 3260 cygthread::stub: erroneous thread 
>activation
>
>CMCDEVITT> test.ksh
>Memory fault (core dumped)
>
>CMCDEVITT> test.ksh
>Memory fault (core dumped)
>
>CMCDEVITT> test.ksh
>   2259 [exiting thread] ksh 2644 cygthread::stub: erroneous thread 
>activation
>
>#####Using BASH:
>
>CMCDEVITT> bash test.ksh
>3 [exiting thread] bash 3752 cygthread::stub: erroneous thread activation
>test.ksh: fork: Resource temporarily unavailable

Please update to Cygwin 1.5.9 and/or try a recent snapshot and report
back.

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/